jphase

## Class DenseContClosureTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jphase.DenseContClosureTest

- All Implemented Interfaces:
    junit.framework.Test

      public class DenseContClosureTest
      extends junit.framework.TestCase

  Set of Tests for the closure methods of the DenseContPhaseVar class
  Author:
    Juan F. Pérez

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DenseContClosureTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testEqResidual()` Test for the method jphase.DenseContPhaseVar.eqResidualTime
    `void` | `testMax()` Test for the method jphase.DenseContPhaseVar.Max
    `void` | `testMin()` Test for the method jphase.DenseContPhaseVar.Min
    `void` | `testMix()` Test for the method jphase.DenseContPhaseVar.Mix
    `void` | `testResidual()` Test for the method jphase.DenseContPhaseVar.residualTime
    `void` | `testSum()` Test for the method jphase.DenseContPhaseVar.Sum
    `void` | `testSumGeom()` Test for the method jphase.DenseContPhaseVar.SumGeom
    `void` | `testSumPH()` Test for the method jphase.DenseContPhaseVar.sumPH
    `void` | `testWaitingQ()` Test for the method jphase.DenseContPhaseVar.waitingQ

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DenseContClosureTest

          public DenseContClosureTest()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - Not used

    - #### testSum

          public void testSum()

      Test for the method jphase.DenseContPhaseVar.Sum

    - #### testMin

          public void testMin()

      Test for the method jphase.DenseContPhaseVar.Min

    - #### testMax

          public void testMax()

      Test for the method jphase.DenseContPhaseVar.Max

    - #### testMix

          public void testMix()

      Test for the method jphase.DenseContPhaseVar.Mix

    - #### testSumGeom

          public void testSumGeom()

      Test for the method jphase.DenseContPhaseVar.SumGeom

    - #### testResidual

          public void testResidual()

      Test for the method jphase.DenseContPhaseVar.residualTime

    - #### testEqResidual

          public void testEqResidual()

      Test for the method jphase.DenseContPhaseVar.eqResidualTime

    - #### testWaitingQ

          public void testWaitingQ()

      Test for the method jphase.DenseContPhaseVar.waitingQ

    - #### testSumPH

          public void testSumPH()

      Test for the method jphase.DenseContPhaseVar.sumPH